﻿/*
 * ZenPhoto Uploader
 * http://tech.einaregilsson.com/2009/07/20/zenphoto-uploader/
 *
 * Copyright (C) 2009 Einar Egilsson [einar@einaregilsson.com]
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using System.IO;

namespace ZenPhotoUploader {
    public class Photo {

        public string Path { get; set; }
        public string Filename { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }

        public string ZenPhotoFilename {
            get {
                string zpname = Filename.Replace(" ", "-");
                string[] repl = new string[] { "á", "a", "é", "e", "í", "i", "ó", "o", "ú", "u", "ý", "y", "ö", "oe", "Á", "A", "É", "E", "Í", "I", "Ó", "O", "Ú", "U", "Ý", "Y", "Æ", "AE", "Ö", "OE" };
                for (int i = 0; i < repl.Length; i += 2) {
                    zpname = zpname.Replace(repl[i], repl[i + 1]);
                }
                zpname = Regex.Replace(zpname, @"[^a-zA-Z0-9-\.]", "");
                zpname = Regex.Replace(zpname, "-+", "-");
                return zpname;
            }
        }

        public Photo() { }//For serialization
        public Photo(string path) {
            this.Path = path;
            this.Filename = System.IO.Path.GetFileName(path);
            this.Title = this.Filename;
        }

        public string ListBoxText {
            get {
                if (!String.IsNullOrEmpty(this.Title)) {
                    return this.Title;
                }
                return this.Filename;
            }
        }
    }
}
