/*
 * ZenPhoto Uploader
 * http://tech.einaregilsson.com/2009/07/20/zenphoto-uploader/
 *
 * Copyright (C) 2009 Einar Egilsson [einar@einaregilsson.com]
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 */
using System.Runtime.CompilerServices;
using System.CodeDom.Compiler;
using System.Configuration;
using System.Diagnostics;

namespace ZenPhotoUploader {


    internal sealed class Settings : ApplicationSettingsBase {

        private static Settings defaultInstance = ((Settings)(ApplicationSettingsBase.Synchronized(new Settings())));

        public static Settings Default {
            get { return defaultInstance;}
        }

        [UserScopedSettingAttribute()]
        [DefaultSettingValueAttribute("800")]
        public int ResizeWidth {
            get { return ((int)(this["ResizeWidth"])); }
            set { this["ResizeWidth"] = value; }
        }

        [UserScopedSettingAttribute()]
        [DefaultSettingValueAttribute("600")]
        public int ResizeHeight {
            get { return ((int)(this["ResizeHeight"])); }
            set { this["ResizeHeight"] = value; }
        }

        [UserScopedSettingAttribute()]
        [DefaultSettingValueAttribute("")]
        public string LastAlbum {
            get { return ((string)(this["LastAlbum"])); }
            set { this["LastAlbum"] = value; }
        }

        [UserScopedSettingAttribute()]
        [DefaultSettingValueAttribute("")]
        public string UserName {
            get { return ((string)(this["UserName"])); }
            set { this["UserName"] = value; }
        }

        [UserScopedSettingAttribute()]
        [DefaultSettingValueAttribute("http://yourhost.com/zenphotofolder/")]
        public string ZenPhotoBaseUrl {
            get { return ((string)(this["ZenPhotoBaseUrl"])); }
            set { this["ZenPhotoBaseUrl"] = value; }
        }

        [UserScopedSettingAttribute()]
        [DefaultSettingValueAttribute("False")]
        public bool Publish {
            get { return ((bool)(this["Publish"])); }
            set { this["Publish"] = value; }
        }
    }
}
